<div class="container">
    <div class="row">
    <div class="col-sm-3 col-md-3 col-lg-3"></div>

    <div class="col-sm-6 col-md-6 col-lg-6">
      <div class="row">
        <div class="col-md-12 col-sm-12 col-lg-12">
      <mat-card>
        <mat-card-header>
          <mat-card-title>
            Vehicle Registration Form
          </mat-card-title>
        </mat-card-header>
        <mat-card-content>

  <form [formGroup]="VehicleRegistrationForm" (ngSubmit)="this.onSubmit()">

    <mat-form-field class="form-group">
      <mat-label>Vehicle number</mat-label>
      <input matInput formControlName="vehicleNumber" />
      <mat-hint align="end">eg:  AP-31-TK-2804</mat-hint>
      <mat-error *ngIf="!!VehicleRegistrationForm.controls.vehicleNumber.hasError('required')"
        >You must enter vehicle number</mat-error
      >
      <mat-error *ngIf="!!VehicleRegistrationForm.controls.vehicleNumber.hasError('pattern')"
        >Invalid vehicle number</mat-error
      >
    </mat-form-field>

    <mat-form-field class="form-group">
      <mat-label>RC number</mat-label>
      <input matInput formControlName="RcNumber" />
      <mat-error *ngIf="!VehicleRegistrationForm.controls.RcNumber.valid"
        >You must enter RC number</mat-error
      >

    </mat-form-field>

    <mat-form-field class="form-group">
      <mat-label> Vehicle Type </mat-label>
      <mat-select formControlName="vehicleType" >
        <mat-option value="SelectToChoose"
          >----Select your option----</mat-option
        >
        <mat-option value="E-Rickshaw" (onSelectionChange)="this.optionChange()">E-Rickshaw</mat-option>
      </mat-select>
    </mat-form-field>

    <mat-form-field class="form-group" *ngIf="this.checkVehicleValue()">
      <mat-label> Motor </mat-label>
      <input matInput formControlName="motor" />
      <mat-error *ngIf="!VehicleRegistrationForm.controls.motor.valid"
        >You must enter motor number</mat-error
      >
    </mat-form-field>

    <mat-form-field class="form-group" *ngIf="this.checkVehicleValue()">
      <mat-label> Controller </mat-label>
      <input matInput formControlName="controller" />
      <mat-error *ngIf="!VehicleRegistrationForm.controls.controller.valid"
        >You must enter controller number</mat-error
      >
    </mat-form-field>

    <mat-form-field class="form-group">
      <input
        matInput
        [matDatepicker]="picker"
        formControlName="dateOfPurchase"
        readonly="readonly"
        [max]="maxDate"

      />
      <mat-label>Date of Purchase</mat-label>
      <mat-datepicker-toggle matSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker disabled="false"></mat-datepicker>
    </mat-form-field>


<div class="insurance row">

<div class="col-md-6 col-sm-6 col-lg-6">
    <mat-form-field class="form-group">
      <mat-label>Insurance</mat-label>
      <input matInput value="{{ this.val1 }}"  disabled="disabled" />
      <mat-hint *ngIf="this.val1==null" align="end">Choose Yes/No</mat-hint>
    </mat-form-field>
</div>
<div class="col-md-6 col-sm-6 col-lg-6">
    <mat-radio-group
      class="example-radio-group"
      formControlName="insurance"
      (change)="this.getValue()"
    >
      <div class="RadioButton">
        <mat-radio-button
          class="example-radio-button"
          *ngFor="let choice of choices"
          [value]="choice"

        >
          {{ choice }}
        </mat-radio-button>
      </div>
    </mat-radio-group>
  </div>
 </div>



  <mat-form-field class="form-group" *ngIf="this.checkInsuranceValue()">
      <mat-label>Insurance By</mat-label>
      <input matInput formControlName="insuranceBy" />
      <mat-error *ngIf="!VehicleRegistrationForm.controls.insuranceBy.valid"
        >This field is required</mat-error
      >
    </mat-form-field>

    <mat-form-field *ngIf="this.checkInsuranceValue()" class="form-group">
        <input
          matInput
          [matDatepicker]="picker1"
          formControlName="lastInsuranceDate"
          readonly="readonly"
          [min]="this.minDate"
        />
        <mat-label>Insurance Valid Till</mat-label>
        <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
        <mat-datepicker #picker1 disabled="false"></mat-datepicker>
      </mat-form-field>

  <div class="finance row">
      <div class="col-md-6 col-sm-6 col-lg-6">
    <mat-form-field class="form-group">
      <mat-label>Financed</mat-label>
      <input matInput value="{{ this.val2 }}" disabled="disabled" />
      <mat-hint align="end" *ngIf="this.val2==null">Choose Yes/No</mat-hint>
    </mat-form-field>
  </div>
  <div class="col-md-6 col-sm-6 col-lg-6">
    <mat-radio-group
      class="example-radio-group"
      formControlName="financed"
      (change)="this.getValue()"
    >
      <div class="RadioButton">
        <mat-radio-button
          class="example-radio-button"
          *ngFor="let choice of choices"
          [value]="choice"

        >
          {{ choice }}
        </mat-radio-button>
      </div>
    </mat-radio-group>
    </div>
  </div>

    <mat-form-field class="form-group" *ngIf="this.checkFinanceValue()">
      <mat-label>Financed By</mat-label>
      <input matInput formControlName="financedBy" />
      <mat-error *ngIf="!VehicleRegistrationForm.controls.financedBy.valid"
        >This field is required</mat-error
      >
    </mat-form-field>

    <mat-form-field class="form-group">
      <mat-label>Gross Weight</mat-label>
      <input matInput formControlName="grossWeight" />
      <span matSuffix>Kg</span>

      <mat-error *ngIf="!!VehicleRegistrationForm.controls.grossWeight.hasError('required')"
        >You must enter Gross Weight</mat-error
      >
      <mat-error *ngIf="!!VehicleRegistrationForm.controls.grossWeight.hasError('pattern')"
        >Enter only a positive number</mat-error
      >
    </mat-form-field>
    <div class="form-group">
      <button
        class="btn btn-primary"
        type="submit"
        [disabled]="this.checkDisabled()"
      >
        Register
      </button>
    </div>
  </form>
  </mat-card-content>
  </mat-card>
  </div>
  </div>

</div>

<div class="col-md-3 col-sm-3 col-lg-3"></div>

</div></div>
